Subject: bug#11649: 24.1.50; Some compilation woes

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Jun 2012 19:05:48 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 10 Jun 2012 10:40:54 -0400
> 
> > If so, this scenario cannot explain the problem, because cl-macs.el is
> > compiled exactly once during bootstrap; before the compilation there's
> > only cl-macs.el.
> 
> Then, we need to investigate the real source of the problem.
> Does someone have a reproducible recipe for it?

The way I did it was to wait until the bootstrap version of Emacs,
with all the preloaded Lisp files in .el form, dumps itself during
bootstrap, then copy the executable aside, and use it for compiling
whatever Lisp files I wanted.

Andreas suggested a different recipe, which I think is equivalent.